<!-- 鼠标移入移出 -->
<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>双向链表</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
	<script>
		function DoublyLinkeList(){
		    let Node=function(){
		        this.element=element;
		        this.next=null;
		        this.prev=null;//新增
		    };
		    let length=0;
		    let head=null;
		    let tail=null;//新增
		    this.append=function(element){

		    };
		    this.insert=function(position,element){

		    };
		    this.removeAt=function(position){

		    };
		    this.indexOf=function(element){

		    };
		    this.isEmpty=function(){

		    };
		    this.size=function(){

		    };
		    this.getHead=function(){

		    };
		    this.print=function(){
		    };
		};

  	</script>
 </body>
</html>